Installation of RnBeads package fails on Ubuntu 18.04.5 LTS
2
0
Entering edit mode
vi.hammer • 0
@user-24201
Last seen 11 months ago

I am trying to install the RnBeads packages on Ubuntu in a conda environment, but the installation fails.

This is the content of the R file that I am running with Rscript:

#install.packages("BiocManager", repos="https://ftp.fau.de/cran/")

BiocManager::install("RnBeads")

The installation of the BioCManager works. This is the console output after running the script:

(R_4.0.3) ahhammv1@SRV018:/mnt/users/ahhammv1/rnbeads_test$ Rscript test.R
Bioconductor version 3.12 (BiocManager 1.30.10), R 4.0.3 (2020-10-10)
Installing package(s) 'RnBeads'
also installing the dependencies ‘BiocFileCache’, ‘biomaRt’, ‘curl’, ‘GenomicFeatures’, ‘TxDb.Hsapiens.UCSC.hg19.knownGene’, ‘bumphunter’, ‘GEOquery’, ‘httr’
, ‘FDb.InfiniumMethylation.hg19’, ‘minfi’, ‘annotate’, ‘genefilter’, ‘methylumi’

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/BiocFileCache_1.14.0.tar.gz'
Content type 'application/x-gzip' length 289322 bytes (282 KB)
==================================================
downloaded 282 KB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/biomaRt_2.46.0.tar.gz'
Content type 'application/x-gzip' length 668926 bytes (653 KB)
==================================================
downloaded 653 KB

trying URL 'https://cran.rstudio.com/src/contrib/curl_4.3.tar.gz'
Content type 'application/x-gzip' length 673779 bytes (657 KB)
==================================================
downloaded 657 KB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/GenomicFeatures_1.42.1.tar.gz'
Content type 'application/x-gzip' length 1373758 bytes (1.3 MB)
==================================================
downloaded 1.3 MB

trying URL 'https://bioconductor.org/packages/3.12/data/annotation/src/contrib/TxDb.Hsapiens.UCSC.hg19.knownGene_3.2.2.tar.gz'
Content type 'application/x-gzip' length 18669702 bytes (17.8 MB)
==================================================
downloaded 17.8 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/bumphunter_1.32.0.tar.gz'
Content type 'application/x-gzip' length 2488289 bytes (2.4 MB)
==================================================
downloaded 2.4 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/GEOquery_2.58.0.tar.gz'
Content type 'application/x-gzip' length 13720415 bytes (13.1 MB)
==================================================
downloaded 13.1 MB

trying URL 'https://cran.rstudio.com/src/contrib/httr_1.4.2.tar.gz'
Content type 'application/x-gzip' length 159950 bytes (156 KB)
==================================================
downloaded 156 KB

trying URL 'https://bioconductor.org/packages/3.12/data/annotation/src/contrib/FDb.InfiniumMethylation.hg19_2.2.0.tar.gz'
Content type 'application/x-gzip' length 38996322 bytes (37.2 MB)
==================================================
downloaded 37.2 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/minfi_1.36.0.tar.gz'
Content type 'application/x-gzip' length 506018 bytes (494 KB)
==================================================
downloaded 494 KB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/annotate_1.68.0.tar.gz'
Content type 'application/x-gzip' length 1872445 bytes (1.8 MB)
==================================================
downloaded 1.8 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/genefilter_1.72.0.tar.gz'
Content type 'application/x-gzip' length 1419891 bytes (1.4 MB)
==================================================
downloaded 1.4 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/methylumi_2.36.0.tar.gz'
Content type 'application/x-gzip' length 7672457 bytes (7.3 MB)
==================================================
downloaded 7.3 MB

trying URL 'https://bioconductor.org/packages/3.12/bioc/src/contrib/RnBeads_2.8.0.tar.gz'
Content type 'application/x-gzip' length 7483031 bytes (7.1 MB)
==================================================
downloaded 7.1 MB

* installing *source* package ‘curl’ ...
** package ‘curl’ successfully unpacked and MD5 sums checked
** using staged installation
Found pkg-config cflags and libs!
Using PKG_CFLAGS=-I/usr/include/x86_64-linux-gnu
Using PKG_LIBS=-lcurl
------------------------- ANTICONF ERROR ---------------------------
Configuration failed because libcurl was not found. Try installing:
 * deb: libcurl4-openssl-dev (Debian, Ubuntu, etc)
 * rpm: libcurl-devel (Fedora, CentOS, RHEL)
 * csw: libcurl_dev (Solaris)
If libcurl is already installed, check that 'pkg-config' is in your
PATH and PKG_CONFIG_PATH contains a libcurl.pc file. If pkg-config
is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:
R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'
--------------------------------------------------------------------
ERROR: configuration failed for package ‘curl’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/curl’
ERROR: dependency ‘curl’ is not available for package ‘httr’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/httr’
ERROR: dependencies ‘curl’, ‘httr’ are not available for package ‘BiocFileCache’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/BiocFileCache’
ERROR: dependency ‘httr’ is not available for package ‘GEOquery’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/GEOquery’
ERROR: dependency ‘httr’ is not available for package ‘annotate’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/annotate’
ERROR: dependencies ‘httr’, ‘BiocFileCache’ are not available for package ‘biomaRt’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/biomaRt’
ERROR: dependency ‘annotate’ is not available for package ‘genefilter’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/genefilter’
ERROR: dependency ‘biomaRt’ is not available for package ‘GenomicFeatures’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/GenomicFeatures’
ERROR: dependency ‘GenomicFeatures’ is not available for package ‘TxDb.Hsapiens.UCSC.hg19.knownGene’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/TxDb.Hsapiens.UCSC.hg19.knownGene’
ERROR: dependency ‘GenomicFeatures’ is not available for package ‘bumphunter’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/bumphunter’
ERROR: dependencies ‘GenomicFeatures’, ‘TxDb.Hsapiens.UCSC.hg19.knownGene’ are not available for package ‘FDb.InfiniumMethylation.hg19’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/FDb.InfiniumMethylation.hg19’
ERROR: dependencies ‘bumphunter’, ‘genefilter’, ‘GEOquery’ are not available for package ‘minfi’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/minfi’
ERROR: dependencies ‘FDb.InfiniumMethylation.hg19’, ‘minfi’, ‘annotate’, ‘genefilter’ are not available for package ‘methylumi’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/methylumi’
ERROR: dependency ‘methylumi’ is not available for package ‘RnBeads’
* removing ‘/mnt/DATA/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/lib/R/library/RnBeads’

The downloaded source packages are in
        ‘/tmp/RtmpN8KOKz/downloaded_packages’
There were 14 warnings (use warnings() to see them)

These are the packages installed in the conda environment:

# packages in environment at /mnt/users/ahhammv1/tools/miniconda3/envs/R_4.0.3:
#
# Name                    Version                   Build  Channel
_libgcc_mutex             0.1                 conda_forge    conda-forge
_openmp_mutex             4.5                       1_gnu    conda-forge
_r-mutex                  1.0.1               anacondar_1    conda-forge
binutils_impl_linux-64    2.35.1               h17ad2fc_0    conda-forge
binutils_linux-64         2.35                hc3fd857_29    conda-forge
bwidget                   1.9.14               ha770c72_0    conda-forge
bzip2                     1.0.8                h516909a_3    conda-forge
c-ares                    1.17.1               h36c2ea0_0    conda-forge
ca-certificates           2020.10.14                    0    anaconda
cairo                     1.16.0            h9f066cc_1006    conda-forge
curl                      7.71.1               he644dc0_8    conda-forge
fontconfig                2.13.1            h7e3eb15_1002    conda-forge
freetype                  2.10.4               h7ca028e_0    conda-forge
fribidi                   1.0.10               h36c2ea0_0    conda-forge
gcc_impl_linux-64         9.3.0               h28f5a38_17    conda-forge
gcc_linux-64              9.3.0               h7247604_29    conda-forge
gettext                   0.19.8.1          hf34092f_1004    conda-forge
gfortran_impl_linux-64    9.3.0               h2bb4189_17    conda-forge
gfortran_linux-64         9.3.0               ha1c937c_29    conda-forge
graphite2                 1.3.13            h58526e2_1001    conda-forge
gsl                       2.6                  hf94e986_0    conda-forge
gxx_impl_linux-64         9.3.0               h53cdd4c_17    conda-forge
gxx_linux-64              9.3.0               h0d07fa4_29    conda-forge
harfbuzz                  2.7.2                ha5b49bf_1    conda-forge
icu                       67.1                 he1b5a44_0    conda-forge
jpeg                      9d                   h36c2ea0_0    conda-forge
kernel-headers_linux-64   2.6.32              h77966d4_13    conda-forge
krb5                      1.17.2               h926e7f8_0    conda-forge
ld_impl_linux-64          2.35.1               hed1e6ac_0    conda-forge
libblas                   3.9.0                3_openblas    conda-forge
libcblas                  3.9.0                3_openblas    conda-forge
libcurl                   7.71.1               hcdd3856_8    conda-forge
libedit                   3.1.20191231         he28a2e2_2    conda-forge
libev                     4.33                 h516909a_1    conda-forge
libffi                    3.2.1             he1b5a44_1007    conda-forge
libgcc-devel_linux-64     9.3.0               hfd08b2a_17    conda-forge
libgcc-ng                 9.3.0               h5dbcf3e_17    conda-forge
libgfortran-ng            9.3.0               he4bcb1c_17    conda-forge
libgfortran5              9.3.0               he4bcb1c_17    conda-forge
libglib                   2.66.3               hbe7bbb4_0    conda-forge
libgomp                   9.3.0               h5dbcf3e_17    conda-forge
libiconv                  1.16                 h516909a_0    conda-forge
liblapack                 3.9.0                3_openblas    conda-forge
libnghttp2                1.41.0               h8cfc5f6_2    conda-forge
libopenblas               0.3.12          pthreads_h4812303_1    conda-forge
libpng                    1.6.37               h21135ba_2    conda-forge
libssh2                   1.9.0                hab1572f_5    conda-forge
libstdcxx-devel_linux-64  9.3.0               h4084dd6_17    conda-forge
libstdcxx-ng              9.3.0               h2ae2ef3_17    conda-forge
libtiff                   4.1.0                h4f3a223_6    conda-forge
libuuid                   2.32.1            h14c3975_1000    conda-forge
libwebp-base              1.1.0                h36c2ea0_3    conda-forge
libxcb                    1.13              h14c3975_1002    conda-forge
libxml2                   2.9.10               h68273f3_2    conda-forge
lz4-c                     1.9.2                he1b5a44_3    conda-forge
make                      4.3                  hd18ef5c_1    conda-forge
ncurses                   6.2                  h58526e2_4    conda-forge
openssl                   1.1.1h               h7b6447c_0    anaconda
pango                     1.42.4               h69149e4_5    conda-forge
pcre                      8.44                 he1b5a44_0    conda-forge
pcre2                     10.35                h279444b_1    conda-forge
pixman                    0.40.0               h36c2ea0_0    conda-forge
pthread-stubs             0.4               h36c2ea0_1001    conda-forge
r-base                    4.0.3                hc603457_2    conda-forge
readline                  8.0                  he28a2e2_2    conda-forge
sed                       4.8                  he412f7d_0    conda-forge
sysroot_linux-64          2.12                h77966d4_13    conda-forge
tk                        8.6.10               hed695b0_1    conda-forge
tktable                   2.10                 hb7b940f_3    conda-forge
xorg-kbproto              1.0.7             h14c3975_1002    conda-forge
xorg-libice               1.0.10               h516909a_0    conda-forge
xorg-libsm                1.2.3             h84519dc_1000    conda-forge
xorg-libx11               1.6.12               h516909a_0    conda-forge
xorg-libxau               1.0.9                h14c3975_0    conda-forge
xorg-libxdmcp             1.1.3                h516909a_0    conda-forge
xorg-libxext              1.3.4                h516909a_0    conda-forge
xorg-libxrender           0.9.10            h516909a_1002    conda-forge
xorg-renderproto          0.11.1            h14c3975_1002    conda-forge
xorg-xextproto            7.3.0             h14c3975_1002    conda-forge
xorg-xproto               7.0.31            h14c3975_1007    conda-forge
xz                        5.2.5                h516909a_1    conda-forge
zlib                      1.2.11            h516909a_1010    conda-forge
zstd                      1.4.5                h6597ccf_2    conda-forge

This is in my path:

/mnt/users/ahhammv1/tools/miniconda3/envs/R_4.0.3/bin:/mnt/users/ahhammv1/tools/miniconda3/bin:/mnt/users/ahhammv1/tools/miniconda3/condabin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/opt/dell/srvadmin/bin:/home/ahhammv1/.aspera/connect/bin:/home/ahhammv1/.aspera/connect/bin

Libcurl seems to be installed in my environment, but it isnt in my path. Might that be the cause? If so, how can I fix it? I do not understand the recommended steps in the error message.

Thanks in advance!

RnBeads • 642 views
ADD COMMENT
0
Entering edit mode

I just tried installing another package, DSS, successfully. The issue seems specific to the installation of RnBeads.

ADD REPLY
1
Entering edit mode
@martin-morgan-1513
Last seen 7 days ago
United States

Review the output of the installation, especially the first error

** using staged installation
Found pkg-config cflags and libs!
Using PKG_CFLAGS=-I/usr/include/x86_64-linux-gnu
Using PKG_LIBS=-lcurl
------------------------- ANTICONF ERROR ---------------------------
Configuration failed because libcurl was not found. Try installing:
 * deb: libcurl4-openssl-dev (Debian, Ubuntu, etc)
 * rpm: libcurl-devel (Fedora, CentOS, RHEL)
 * csw: libcurl_dev (Solaris)
If libcurl is already installed, check that 'pkg-config' is in your
PATH and PKG_CONFIG_PATH contains a libcurl.pc file. If pkg-config
is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:
R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'
--------------------------------------------------------------------
ERROR: configuration failed for package ‘curl’

This is your hint to figure out how to install system dependencies, with instructions that might be relevant to your operating system; if this is a shared system, then it may be necessary to speak with a local system administrator. Make sure you can install curl first

BiocManager::install('curl')

and then try for RnBeads again.

ADD COMMENT
0
Entering edit mode

Ah, but now I see you are using conda, and i think you should ask for help on a conda support forum. The instructions in the package installation are for installation outside conda.

ADD REPLY
0
Entering edit mode

Thanks for replying! I tried installing it with conda before, but wanted to avoid it as it created issues with our (currently, fingers crossed) wonky server structure.

ADD REPLY
1
Entering edit mode
mscherer ▴ 50
@mscherer-19737
Last seen 1 day ago
Spain/Barcelona/Centre for Genomic Regu…

Hi vi.hammer,

The easiest way to install RnBeads through conda is to use bioconda, which has an environment available for RnBeads. For more information about bioconda, see this website: https://bioconda.github.io/user/install.html

Briefly, you'll first have to add bioconda to the channels:

conda config --add channels defaults
conda config --add channels bioconda
conda config --add channels conda-forge

And then install the RnBeads environment:

conda install bioconductor-rnbeads
ADD COMMENT
0
Entering edit mode

Thanks for replying! I tried installing it with conda before, but wanted to avoid it as it created issues with our (currently, fingers crossed) wonky server structure. It does work though.

ADD REPLY
0
Entering edit mode

Hi mscherer,

Let me, please, I ask you : when you have installed bioconductor-rnbeads with conda, could you write the next steps (code) to open and work with RnBeads?.Is it necessary with conda first to create the environment of RnBeads and then to activate RnBeads?. Could you write these steps (code)with conda ,please?.

Thank you very much for your help.

ADD REPLY
0
Entering edit mode

The whole process would look something like this:

#Create the environment
conda create rnbeads bioconductor-rnbeads
conda activate rnbeads
R

Additionally, you can also install RStudio using conda.

ADD REPLY
0
Entering edit mode

Thank you mscherer, for your answer,

I have been able to activate rnbeads with conda from your code with:

conda create -n rnbeads bioconductor-rnbeads

conda activate rnbeads

R

ADD REPLY

Login before adding your answer.

Traffic: 315 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6